#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-EcBG3zRfoEG1WG9hYrGor9-dns-internal
key:                  dns-4.1.1-EcBG3zRfoEG1WG9hYrGor9-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  5675a0ae7d993a7d86bd74e4677e80a7
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-EcBG3zRfoEG1WG9hYrGor9-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-BrTWnMUC2zMDZ2E35FeCoi
    attoparsec-0.14.4-LhljGCg6FhTCY2JBHQACd0
    auto-update-0.1.6-AIDGDz1vDV62ZyMAxBVgkl base-4.16.4.0
    base16-bytestring-1.0.2.0-FSVk3WmWsWvGvsAxOgii1R
    base64-bytestring-1.2.1.0-GhhDq9m6ztyC3DoGamjFCy
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-GnsQmMXoRNL8LIaETetIqx
    containers-0.6.5.1 cryptonite-0.30-IWSlxLn64AfIKgnkjUp9nt
    hourglass-0.2.12-KfdypErGG99FiZtt338Pgy
    iproute-1.7.12-I8uTgXH9ZFf9LkSIVwfYJ9 mtl-2.2.2
    network-3.1.4.0-9VcJfHdcvDFHTEtyJROzpl
    psqueues-0.2.8.0-JrHMY66Na1LBnuuwC3aCXy

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-12mhQSFiCiG5w3IfR9qgXi
key:                  dns-4.1.1-12mhQSFiCiG5w3IfR9qgXi
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  794606179f57c9507c55018fcb1ae770
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-12mhQSFiCiG5w3IfR9qgXi
depends:
    array-0.5.4.0 async-2.2.5-BrTWnMUC2zMDZ2E35FeCoi
    attoparsec-0.14.4-LhljGCg6FhTCY2JBHQACd0
    auto-update-0.1.6-AIDGDz1vDV62ZyMAxBVgkl base-4.16.4.0
    base16-bytestring-1.0.2.0-FSVk3WmWsWvGvsAxOgii1R
    base64-bytestring-1.2.1.0-GhhDq9m6ztyC3DoGamjFCy
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-IWSlxLn64AfIKgnkjUp9nt
    dns-4.1.1-EcBG3zRfoEG1WG9hYrGor9-dns-internal
    hourglass-0.2.12-KfdypErGG99FiZtt338Pgy
    iproute-1.7.12-I8uTgXH9ZFf9LkSIVwfYJ9 mtl-2.2.2
    network-3.1.4.0-9VcJfHdcvDFHTEtyJROzpl
    psqueues-0.2.8.0-JrHMY66Na1LBnuuwC3aCXy

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

